This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 182094 - Class moving does not properly update imports
Summary: Class moving does not properly update imports
Status: VERIFIED FIXED
Alias: None
Product: javafx
Classification: Unclassified
Component: Unsupported (show other bugs)
Version: 6.x
Hardware: PC Windows XP
: P2 normal (vote)
Assignee: J Bachorik
URL:
Keywords:
Depends on:
Blocks: 173077
  Show dependency tree
 
Reported: 2010-03-16 11:10 UTC by Alexandr Scherbatiy
Modified: 2010-03-19 11:38 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2010-03-16 11:10:37 UTC
NetBeans-JavaFX-Soma:  #187

  Product Version         = NetBeans IDE Dev (Build 201003150200) (#9c6ebd9e1ddd)
  Operating System        = Windows XP version 5.1 running on x86
  Java; VM; Vendor        = 1.6.0_15; Java HotSpot(TM) Client VM 14.1-b02; Sun Microsystems Inc.


Steps to reproduce:

- Open the attached project
http://netbeans.org/bugzilla/attachment.cgi?id=95034

- Create the mathematics.multidimensional.vector package
- Expand the mathematics.multidimensional package 
- Select all classes under the package, right-click and select Cut
- Right-click on the mathematics.multidimensional.vector package
  and select Paste->Refactor Move
- Press Refactor on the Move Classes dialog

- Clean and build the project

deps-jar:
MultiDim\src\mathematics\multidimensional\shape\MDUniverse.fx:7: You have forgotten the ';', which is needed to separate one expression from the next.
impoimport mathematics.multidimensional.vector.MDProjection;
MultiDim\src\physics\relativity\RelativityVector.fx:8: You have forgotten the ';', which is needed to separate one expression from the next.
import mathematiimport mathematics.multidimensional.IMDVector;
2 errors
Comment 1 J Bachorik 2010-03-17 11:37:40 UTC
fixed in http://hg.netbeans.org/javafx/rev/ce5fac708bc1
Comment 2 Alexandr Scherbatiy 2010-03-19 11:38:29 UTC
verified in NetBeans-JavaFX-Soma: #190